> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get a resident charge by ID

GET https://api.propexo.com/v1/resident-charges/{resident_charge_id}

The Resident Charges model provides a limited, one-sided view of a resident's financial history with a PMC and should not be treated as a comprehensive report of all charges that the resident owes. Credits to a resident's ledger are stored as negative charges. Due to the PMS API structure, this is a naturally high-volume endpoint. Since Propexo pricing is based on records returned, this may result in signficantly higher overall costs. We encourage you to reach out to support before activating.

Reference: https://docs.propexo.com/api-reference/resman/billing-and-payments/get-a-resident-charge-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `resident_charge_id` (string, required) — The ID of the resource.

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (V1ResidentChargesResidentChargeIdGetOutputResults, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### V1ResidentChargesResidentChargeIdGetOutputResults

- `id` (string, optional) — The Propexo unique identifier for the resident charge
- `created_at` (string, optional) — The date record first entered Propexo
- `updated_at` (string, optional) — The date record was last updated in Propexo
- `last_seen` (string, optional, nullable) — The date the record was last seen from the PMS
- `x_id` (string, optional) — The external ID from the integration vendor | Interface | Method | |---|---| | Receivables | /Receivables/GetResidentTransactions |
- `x_property_id` (string, optional) — The external ID of the property from the integration vendor | Interface | Method | |---|---| | Receivables | /Receivables/GetResidentTransactions |
- `x_gl_account_id` (any, optional) — The external ID of the general ledger account from the integration vendorThis field will always be null for RESMAN
- `x_location_id` (any, optional) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.This field will always be null for RESMAN
- `x_lease_id` (string, optional, nullable) — The external ID of the lease from the integration vendor | Interface | Method | |---|---| | Receivables | /Receivables/GetResidentTransactions |
- `x_resident_id` (string, optional, nullable) — The external ID of the resident from the integration vendor | Interface | Method | |---|---| | Receivables | /Receivables/GetResidentTransactions |
- `x_unit_id` (any, optional) — The external ID of the unit from the integration vendorThis field will always be null for RESMAN
- `x_charge_code_id` (any, optional) — The external ID of the charge code from the integration vendorThis field will always be null for RESMAN
- `amount_in_cents` (double, optional, nullable) — The amount of the resident charge, in cents | Interface | Method | |---|---| | Receivables | /Receivables/GetResidentTransactions |
- `amount_raw` (string, optional, nullable) — The raw value for amount from the PMS | Interface | Method | |---|---| | Receivables | /Receivables/GetResidentTransactions |
- `amount_open_in_cents` (any, optional) — The amount open on the resident charge, in centsThis field will always be null for RESMAN
- `amount_open_raw` (any, optional) — The raw value for open amount from the PMSThis field will always be null for RESMAN
- `amount_paid_in_cents` (any, optional) — The amount paid on the resident charge, in centsThis field will always be null for RESMAN
- `amount_paid_raw` (any, optional) — The raw value for amount paid from the PMSThis field will always be null for RESMAN
- `due_date` (any, optional) — The due date associated with the resident chargeThis field will always be null for RESMAN
- `name` (string, optional, nullable) — The name associated with the resident charge | Interface | Method | |---|---| | Receivables | /Receivables/GetResidentTransactions |
- `description` (string, optional, nullable) — Description of the resident charge | Interface | Method | |---|---| | Receivables | /Receivables/GetResidentTransactions |
- `reference_number` (string, optional, nullable) — The reference number for the resident charge | Interface | Method | |---|---| | Receivables | /Receivables/GetResidentTransactions |
- `transaction_date` (string, optional, nullable) — The transaction date of the resident charge | Interface | Method | |---|---| | Receivables | /Receivables/GetResidentTransactions |
- `transaction_source` (any, optional) — The transaction source of the resident chargeThis field will always be null for RESMAN
- `is_open` (any, optional) — Whether the resident charge is open and not yet settledThis field will always be null for RESMAN
- `post_month` (any, optional) — The post month for the resident chargeThis field will always be null for RESMAN
- `custom_data` (V1ResidentChargesResidentChargeIdGetOutputResultsCustomData, optional, nullable)
- `integration_id` (string, optional) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, optional) — The property management system of record
  - Allowed values: `RESMAN`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `YARDI`, `YARDI_REST`
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `resident_id` (string, optional, nullable) — The Propexo unique identifier for the resident | Interface | Method | |---|---| | Receivables | /Receivables/GetResidentTransactions |
- `financial_account_id` (any, optional) — The Propexo unique identifier for the financial accountThis field will always be null for RESMAN
- `unit_id` (any, optional) — The Propexo unique identifier for the unitThis field will always be null for RESMAN
- `lease_id` (any, optional) — The Propexo unique identifier for the leaseThis field will always be null for RESMAN
- `charge_code_id` (any, optional) — The Propexo unique identifier for the charge codeThis field will always be null for RESMAN
- `allocations` (list of V1ResidentChargesResidentChargeIdGetOutputResultsAllocationsItems, optional) — Array of payment allocations, splits, and related transactions associated with the resident charge

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### V1ResidentChargesResidentChargeIdGetOutputResultsCustomData

### V1ResidentChargesResidentChargeIdGetOutputResultsAllocationsItems

- `id` (string, required) — The Propexo unique identifier for the resident allocation
- `x_id` (string, required) — The external ID from the integration vendor
- `x_source_id` (string, required, nullable) — The external ID of the source transaction from the integration vendorThis field is not currently hydrated for RESMAN
- `x_destination_id` (string, required, nullable) — The external ID of the destination transaction from the integration vendorThis field is not currently hydrated for RESMAN
- `financial_account_id` (string, required, nullable) — The Propexo unique identifier for the financial accountThis field is not currently hydrated for RESMAN
- `amount_in_cents` (double, required, nullable) — The amount of the resident allocation, in centsThis field is not currently hydrated for RESMAN
- `amount_raw` (string, required, nullable) — The raw value for amount from the PMSThis field is not currently hydrated for RESMAN
- `resident_charge_id` (string, required, nullable) — The Propexo unique identifier for the resident charge
- `resident_payment_id` (string, required, nullable) — The Propexo unique identifier for the resident paymentThis field is not currently hydrated for RESMAN
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `custom_data` (V1ResidentChargesResidentChargeIdGetOutputResultsAllocationsItemsCustomData, required, nullable)

### V1ResidentChargesResidentChargeIdGetOutputResultsAllocationsItemsCustomData

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": {
    "id": "clwktsp9v000008l31iv218hn",
    "created_at": "2024-03-21T15:38:08.337Z",
    "updated_at": "2024-03-22T10:59:45.119Z",
    "last_seen": "2024-03-22T10:59:45.119Z",
    "x_id": "txn_987654321",
    "x_property_id": "prop_123456789",
    "x_gl_account_id": null,
    "x_location_id": null,
    "x_lease_id": "lease_456789123",
    "x_resident_id": "resident_789123456",
    "x_unit_id": null,
    "x_charge_code_id": null,
    "amount_in_cents": 325000,
    "amount_raw": "3250.00",
    "amount_open_in_cents": null,
    "amount_open_raw": null,
    "amount_paid_in_cents": null,
    "amount_paid_raw": null,
    "due_date": null,
    "name": "Monthly Rent Charge",
    "description": "Charge for April 2024 rent",
    "reference_number": "INV-20240401-001",
    "transaction_date": "2024-04-01T00:00:00Z",
    "transaction_source": null,
    "is_open": null,
    "post_month": null,
    "custom_data": {},
    "integration_id": "clwh5u07w000508me66sfh3um",
    "integration_vendor": "RESMAN",
    "property_id": "clwi5xiix000008l6ctdgafyh",
    "resident_id": "clwktsp9v000008l31iv218hm",
    "financial_account_id": null,
    "unit_id": null,
    "lease_id": null,
    "charge_code_id": null,
    "allocations": [
      {
        "id": "clwktsp9v000008l31iv218ho",
        "x_id": "alloc_123456789",
        "x_source_id": null,
        "x_destination_id": null,
        "financial_account_id": null,
        "amount_in_cents": 325000,
        "amount_raw": "3250.00",
        "resident_charge_id": "clwktsp9v000008l31iv218hn",
        "resident_payment_id": null,
        "created_at": "2024-03-21T15:38:08.337Z",
        "updated_at": "2024-03-22T10:59:45.119Z",
        "last_seen": "2024-03-22T10:59:45.119Z",
        "custom_data": {}
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/resident-charges/resident_charge_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/resident-charges/resident_charge_id';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/resident-charges/resident_charge_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/resident-charges/resident_charge_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/resident-charges/resident_charge_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/resident-charges/resident_charge_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/resident-charges/resident_charge_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/resident-charges/resident_charge_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```